### Enumeration

# Soup URIComponent

#### Declaration

    enum Soup.URIComponent

#### Description [src]

Enum values passed to `soup_uri_copy()` to indicate the components of the URI that should be updated with the given values.

#### Members

`SOUP_URI_NONE`

  No component.

  - Value: `0`
  - Available since: 3.0
`SOUP_URI_SCHEME`

  The URI scheme component.

  - Value: `1`
  - Available since: 3.0
`SOUP_URI_USER`

  The URI user component.

  - Value: `2`
  - Available since: 3.0
`SOUP_URI_PASSWORD`

  The URI password component.

  - Value: `3`
  - Available since: 3.0
`SOUP_URI_AUTH_PARAMS`

  The URI authentication parameters component.

  - Value: `4`
  - Available since: 3.0
`SOUP_URI_HOST`

  The URI host component.

  - Value: `5`
  - Available since: 3.0
`SOUP_URI_PORT`

  The URI port component.

  - Value: `6`
  - Available since: 3.0
`SOUP_URI_PATH`

  The URI path component.

  - Value: `7`
  - Available since: 3.0
`SOUP_URI_QUERY`

  The URI query component.

  - Value: `8`
  - Available since: 3.0
`SOUP_URI_FRAGMENT`

  The URI fragment component.

  - Value: `9`
  - Available since: 3.0